Get query results
import requests
url = "https://{FUSION HOST}/api/query/{id}/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text){
"contentType": "<string>",
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"contentCharset": "<string>"
}Get query results
This endpoint supports a path with a trailing slash to allow SolrJ to use a query profile by setting the requestHandler to ”/”. For longer parameter lists, use POST instead.
GET
/
query
/
{id}
/
Get query results
import requests
url = "https://{FUSION HOST}/api/query/{id}/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text){
"contentType": "<string>",
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"contentCharset": "<string>"
}Authorizations
Basic authAPI key
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The query profile ID.
Query Parameters
Additional parameters used when executing the query. The parameters of the query request.
Show child attributes
Show child attributes
Was this page helpful?
⌘I